%global use_x11_tests 1
Name:           perl-X11-GUITest
Version:        0.27
Release:        1%{?dist}
Summary:        Provides GUI testing/interaction routines
License:        GPLv2
# patch to address https://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address has been sent upstream at https://rt.cpan.org/Ticket/Display.html?id=93668
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/X11-GUITest/
Source0:        http://www.cpan.org/modules/by-module/X11/X11-GUITest-%{version}.tar.gz
# https://rt.cpan.org/Ticket/Display.html?id=93667
Patch1:         xvfb_run_x11_guitest.patch
# https://rt.cpan.org/Ticket/Display.html?id=93677
Patch2:         x11_guitest_makefile_i686.patch
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXi-devel
BuildRequires:  libXt-devel
BuildRequires:  libXtst-devel
BuildRequires:  perl
BuildRequires:  perl(DynaLoader)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl(vars)
%if %{use_x11_tests}
# X11 tests:
BuildRequires:  /usr/bin/xeyes
BuildRequires:  xorg-x11-server-Xvfb
BuildRequires:  xorg-x11-xinit
BuildRequires:  font(:lang=en)
%endif
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This Perl package is intended to facilitate the testing of GUI applications
by means of user emulation. It can be used to test/interact with GUI
applications; which have been built upon the X library or toolkits (i.e.,
GTK+, Xt, Qt, Motif, etc.) that "wrap" the X library's functionality.

%prep
%setup -q -n X11-GUITest-%{version}

%patch1

%patch2

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
%if %{use_x11_tests}
    xvfb-run -a make test
%else
    make test
%endif

%files
%doc Changes docs README ToDo
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/X11*
%{_mandir}/man3/*

%changelog
* Sun Mar 09 2014 David Dick <ddick@cpan.org> - 0.27-1
- Initial release
